Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class PlaceHandler

    java.lang.Object
      javax.swing.event.MouseInputAdapter
          pipe.gui.PetriNetObjectHandler
              pipe.gui.PlaceTransitionObjectHandler
                  pipe.gui.PlaceHandler

All Implemented Interfaces:
  Constants, java.util.EventListener, javax.swing.event.MouseInputListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

public class PlaceHandler
extends PlaceTransitionObjectHandler

Class used to implement methods corresponding to mouse events on places.

Field Summary

Fields inherited from class pipe.gui.PlaceTransitionObjectHandler
`keyHandler`

Fields inherited from class pipe.gui.PetriNetObjectHandler
`contentPane, dragInit, enablePopup, isDragging, justSelected, myObject`

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Constructor Summary
`PlaceHandler(java.awt.Container contentpane, Place obj)`

Method Summary
`javax.swing.JPopupMenu` | `getPopup(java.awt.event.MouseEvent e)` Creates the popup menu that the user will see when they right click on a component
`void` | `mouseClicked(java.awt.event.MouseEvent e)`

Methods inherited from class pipe.gui.PlaceTransitionObjectHandler
`mousePressed, mouseReleased`

Methods inherited from class pipe.gui.PetriNetObjectHandler
`enablePopupMenu, mouseDragged`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseEntered, mouseExited, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceHandler

    public PlaceHandler(java.awt.Container contentpane,
                        Place obj)

Method Detail

### getPopup

    public javax.swing.JPopupMenu getPopup(java.awt.event.MouseEvent e)

  Creates the popup menu that the user will see when they right click on a component

  Overrides:
    `getPopup` in class `PlaceTransitionObjectHandler`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD